var canvas, ctx, w, h;

window.onload = function init() {
	console.log("page chargée");

	// ici programme principal
	
	// 1 - on récupère le canvas, sa largeur et sa hauteur
	// en pixels
	canvas = document.querySelector("#myCanvas");
	w = canvas.width;
	h = canvas.height;

	// 2 - on récupère le contexte qui permet de dessiner
	// dans le canvas
	ctx = canvas.getContext('2d');

	// 3 - on va pouvoir commencer à dessiner ou à animer...
	// coordonnées du coin en haut à gauche, largeur, hauteur
	// fillRect = dessiner un rectangle plein
	// strokeRect = dessiner un rectangle en fil de fer
	/*ctx.fillStyle = 'red';
	ctx.fillRect(100, 100, 200, 200);

	ctx.strokeStyle = 'rgba(12, 134, 25, 0.5)'; // valeurs possible = couleur CSS
							 // dégradé, image/texture...
	ctx.lineWidth = 5;       // largeur du trait
	ctx.strokeRect(210, 210, 100, 100);

	drawLine(0, 0, 400, 400, "pink", 20);
	ctx.strokeRect(300, 300, 50, 50);

	drawCirclePlein(200, 200, 100, "purple");
	//drawEllipsePleine(200, 200, 100, 50, "purple");
	*/

	drawGabrielMopolo();
}

function drawLine(x1, y1, x2, y2, couleur, largeurTrait) {
	// bonne pratique : quand on change quelque chose
	// au contexte graphique, il faut 1) le sauvegarder au début
	// de la fonction et 2) le restaurer à la fin
	ctx.save();

	ctx.beginPath(); // on remet à zéro le "chemin courant"

	ctx.moveTo(x1, y1);
	ctx.lineTo(x2, y2);

	ctx.strokeStyle = couleur;
	ctx.lineWidth = largeurTrait;
	ctx.stroke();	// dessine le "chemin courant"

	ctx.restore();
}

function drawCirclePlein(xc, yc, rayon, couleur) {
	// bonne pratique : quand on change quelque chose
	// au contexte graphique, il faut 1) le sauvegarder au début
	// de la fonction et 2) le restaurer à la fin
	ctx.save();

	ctx.beginPath(); // on remet à zéro le "chemin courant"
	ctx.arc(xc, yc, rayon, 0, 2*Math.PI);
	
	ctx.fillStyle = couleur;
	ctx.fill();	// dessine le "chemin courant" en plein

	ctx.restore();
}


// Exo 1) écrire une fonction drawCercleFilDeFer(xc, yc,
// rayon, couleur, largeurtrait)
// 
// Exo 2) Faire Gabriel Mopolo dans une fonction 
// dessineGabrielMopolo();
// et
// dessineSergeMiranda();

function drawGabrielMopolo() {
	// bonne pratique !
	ctx.save();

	// visage
	ctx.fillStyle = "brown";
	ctx.fillRect(100, 100, 200, 200);

	// oeil gauche
	ctx.fillStyle = "white";
	ctx.fillRect(140, 150, 30, 30);
	ctx.fillStyle = "black";
	ctx.fillRect(155, 165, 15, 15);

	// oeil droit
	ctx.fillStyle = "white";
	ctx.fillRect(230, 150, 30, 30);
	ctx.fillStyle = "black";
	ctx.fillRect(235, 165, 15, 15);

	// lunettes
	ctx.lineWidth = 5;
	ctx.strokeRect(125, 140, 60, 50);
	ctx.lineWidth = 5;
	ctx.strokeRect(215, 140, 60, 50);
	drawLine(185, 165, 215, 165, 'black', 5);

	// nez
	drawLine(200, 200, 200, 250, 'black', 5);

	ctx.restore();
}
